Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

Generates a unique name from an existing protocol name

Request

Security
Bearer
Query
existingProtocolNamestringrequired

An existing protocol name

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/get-unique-name?existingProtocolName=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The unique name for a protocol

Bodyapplication/json
uniqueNamestring or null

The unique name

Response
application/json
{ "uniqueName": "string" }

Retrieves the verification data of the protocol

Request

Security
Bearer
Path
idinteger(int32)required

The id for the protocol

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/verify/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The verification data of the protocol

Bodyapplication/json
idinteger(int32)

The database id for the protocol

namestring or null

The name of the protocol

deckPositionsArray of objects or null(DeckPositionVerifyDto)

The deck positions which have been verified

Response
application/json
{ "id": 0, "name": "string", "deckPositions": [ {} ] }

Retrieves the preview data of the protocol

Request

Security
Bearer
Path
idinteger(int32)required

The id for the protocol

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/protocols/preview/{id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The preview data of the protocol

Bodyapplication/json
idinteger(int32)

The database id for the protocol

namestring or null

The name of the protocol

stepsArray of objects or null(StepPreviewDto)

The list of steps

labwaresArray of objects or null(LabwarePreviewDto)

The list of labware used in the protocol

deckPositionsArray of objects or null(DeckPositionPreviewDto)

The list of deck positions

isValidboolean

The flag determining if the protocol is valid (has been verified to run)

Response
application/json
{ "id": 0, "name": "string", "steps": [ {} ], "labwares": [ {} ], "deckPositions": [ {} ], "isValid": true }

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations